﻿@*HEADER ON TAB PART LIST FOR MAINTENANCE DATA*@

@using System.Web.UI.WebControls;
 
@using (Html.BeginForm("PartialLSRRecording", "ProblemPart", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table width="100%">
        <tr>
            <td align="left" style="border-right:1px solid #4F93E3;width: 208px;">
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "LRPLDHAddButton";
                        button.Text = "Add";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "OnLRPLDHAddButtonClick";
                    }).GetHtml()
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "LRPLHDOwnloadListButton";
                        button.Text = "Download List";
                        button.Style.Add("display", "inline-table");
                        button.Width = Unit.Pixel(120);
                        button.ClientSideEvents.Click = "OnLRPLHDOwnloadListButtonClick";
                    }).GetHtml()
            </td>
            <td width="208px">
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "LRPLDHUploadControl";
                        upload.Width = Unit.Pixel(400);
                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                        upload.CallbackRouteValues = new { Controller = "ProblemPart", Action = "UploadCallback" };
                        upload.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "Size File Uploaded Too Large";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;
                    }).GetHtml()
            </td>
            <td width="86px">
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "LRPLDHUploadButton";
                        button.Text = "Upload";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("padding-left", "5px");
                        button.ClientSideEvents.Click = "OnLRPLDHUploadButtonClick";
                    }).GetHtml()
            </td>
            <td></td>
            <td align="right" width="86px">
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "LRPLDHDeleteButton";
                        button.Text = "Delete";
                        button.Width = Unit.Pixel(80);
                        //button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "OnLRPLDHDeleteButtonClick";
                    }).GetHtml()
            </td>
        </tr> 
    </table>
}